using Radium.DataExporter.Models.Accounts;
using Radium.DataExporter.Models.Authentication;
using Radium.DataExporter.Models.Common.Requests;
using Radium.DataExporter.Models.Common.Results;
using System.Text.Json.Serialization;

namespace Radium.DataExporter.Models.JsonContext;

[JsonSerializable(typeof(CompleteAuthLinkRequest))]
[JsonSerializable(typeof(CompleteAuthLinkResult))]
[JsonSerializable(typeof(List<CachedLogin>))]
[JsonSerializable(typeof(CachedLogin))]
[JsonSerializable(typeof(List<Account>))]
[JsonSerializable(typeof(Account))]
[JsonSerializable(typeof(RecNetError))]
public partial class RecNetJsonContext : JsonSerializerContext
{
}